ExceptionMessage (Mule ESB 2.2.1 API)
Keywords: org.mule.message.ExceptionMessage class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.message
Class ExceptionMessage

    java.lang.Object
      org.mule.message.BaseMessage
          org.mule.message.ExceptionMessage

All Implemented Interfaces:
  Serializable

    public class ExceptionMessage

extends BaseMessage

`ExceptionMessage` is used by the DefaultServiceExceptionStrategy for wrapping an exception with a message to send via an endpointUri.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.message.BaseMessage
`context, message`

Constructor Summary
`ExceptionMessage(Object message, Throwable exception, String componentName, EndpointURI endpointUri)`

Method Summary
`String` | `getComponentName()`
`EndpointURI` | `getEndpoint()`
`Throwable` | `getException()`
`Date` | `getTimeStamp()`
`String` | `toString()`

Methods inherited from class org.mule.message.BaseMessage
`addProperties, clearProperties, getPayload, getPayloadAsBytes, getPayloadAsString, getProperties, getProperty, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExceptionMessage

    public ExceptionMessage(Object message,
                            Throwable exception,
                            String componentName,
                            EndpointURI endpointUri)

Method Detail

### getComponentName

    public String getComponentName()

### getEndpoint

    public EndpointURI getEndpoint()

### getTimeStamp

    public Date getTimeStamp()

### getException

    public Throwable getException()

### toString

    public String toString()

  Overrides:
    `toString` in class `BaseMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.